"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const selectObjectValueBasedOnState = (object, state, defaultValue) => {
  const {
    status,
    withinThreshold
  } = state;
  const fullStatus = withinThreshold && `${state.status}WithinThreshold`;

  if (fullStatus && (0, _has2.default)(object, fullStatus)) {
    return object[fullStatus];
  }

  if ((0, _has2.default)(object, status)) {
    return object[status];
  }

  return defaultValue;
};

var _default = selectObjectValueBasedOnState;
exports.default = _default;
module.exports = exports.default;